Bug 243645 - [NEW PORT] devel/rgbds: Free assembler/linker for the Game Boy & Game Boy Color
Summary: [NEW PORT] devel/rgbds: Free assembler/linker for the Game Boy & Game Boy Color
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Tobias Kortkamp
URL:
Keywords: feature, needs-patch, needs-qa
Depends on:
Blocks:
 
Reported: 2020-01-27 05:14 UTC by trigex
Modified: 2021-03-10 06:28 UTC (History)
1 user (show)

See Also:
koobs: maintainer-feedback? (trigex)


Attachments
svn diff adding port devel/rgbds (3.60 KB, patch)
2020-01-27 05:14 UTC, trigex
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description trigex 2020-01-27 05:14:18 UTC
Created attachment 211096 [details]
svn diff adding port devel/rgbds

RGBDS is a free GBZ80 assembler/linker package for the Game Boy & Game Boy Color.
The source compiles 4 different binaries (an assembler, linker, ROM header fixer, png to tilemap converter) and 9 different manpages. (across sections 1, 5, and 7)

No patches was required to get it to build.
This is my first port, so go easy on me ;D
Comment 1 Kubilay Kocak freebsd_committer freebsd_triage 2020-01-28 01:07:41 UTC
Review items:

- Use DISTVERSION_PREFIX=v instead of GH_TAGNAME override
- Suggest: CATEGORIES=games devel
- Manual pages should go into LOCALBASE/share/man/*
Comment 2 Dmitry Marakasov freebsd_committer 2021-02-16 21:08:30 UTC
Ping submitter
Comment 3 Tobias Kortkamp freebsd_committer 2021-03-10 06:08:24 UTC
Going to add it.
Comment 4 commit-hook freebsd_committer 2021-03-10 06:26:49 UTC
A commit references this bug:

Author: tobik
Date: Wed Mar 10 06:26:24 UTC 2021
New revision: 567985
URL: https://svnweb.freebsd.org/changeset/ports/567985

Log:
  Add devel/rgbds

  RGBDS is a free GBZ80 assembler/linker package for the Game Boy and
  Game Boy Color.  RGBDS additionally contains 2 extra tools to fix
  ROM headers, and convert PNG files to the Game Boy's planar tile
  format.

  The binaries it provides are:
  rgbasm(1) (assembler)
  rgblink(1) (linker)
  rgbfix(1) (checksum/header fixer)
  rgbgfx(1) (PNG-to-Game Boy graphics converter)

  WWW: https://rgbds.gbdev.io/

  PR:		243645
  Submitted by:	trigex@waifu.club (old version 0.3.9)

Changes:
  head/devel/Makefile
  head/devel/rgbds/
  head/devel/rgbds/Makefile
  head/devel/rgbds/distinfo
  head/devel/rgbds/files/
  head/devel/rgbds/files/patch-Makefile
  head/devel/rgbds/pkg-descr
  head/devel/rgbds/pkg-plist
Comment 5 Tobias Kortkamp freebsd_committer 2021-03-10 06:28:20 UTC
Thanks, I committed it. It was a good first submission. Since there
has been no feedback from you for over a year I took maintainership
and updated it to 0.5.0-rc1. But let me know if you still want to
maintain it though and I'll assign it back to you.